> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autotab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml openapi/.openapi.json get /skill/list
openapi: 3.1.0
info:
  title: Autotab API
  description: AI that does your repetitive work end to end, with superhuman reliability.
  version: 0.0.2
servers:
  - url: https://api.autotab.com/v1
    description: Autotab API
security: []
paths:
  /skill/list:
    get:
      tags:
        - Skill
      summary: List
      operationId: list_skills
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Skill'
                type: array
                title: Response List Skills
        '404':
          description: Not found
      security:
        - HTTPBearer: []
      x-codeSamples:
        - lang: Python
          source: |
            import autotab
            from autotab.rest import ApiException


            client = autotab.Client(
                autotab.Configuration(
                    api_key = os.environ["AUTOTAB_API_KEY"]
                )
            )

            try:
                skills = await autotab.SkillApi(client).list()
                print(f"skills: {"\n".join([skill.model_dump_json(indent=2) for skill in skills])}")
            except ApiException as e:
                print(f"Exception: {e})
        - lang: Javascript
          source: |-
            import { Configuration, SkillApi } from 'autotab';

            const skillClient = new SkillApi(new Configuration({
                apiKey: process.env['AUTOTAB_API_KEY'],
            }));

            async function main() {
              const skills = await skillClient.list();
              console.log("skills:", skills);
            }

            main();
components:
  schemas:
    Skill:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        owner:
          type: string
          title: Owner
        created_at:
          type: string
          format: date-time
          title: Created At
        last_modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Modified At
        inputs:
          items:
            $ref: '#/components/schemas/Input'
          type: array
          title: Inputs
          default: []
      type: object
      required:
        - id
        - name
        - owner
        - created_at
        - last_modified_at
      title: Skill
    Input:
      properties:
        json_key:
          type: string
          title: Json Key
        id:
          type: string
          title: Id
        data_type:
          $ref: '#/components/schemas/VariableDataType'
      type: object
      required:
        - json_key
        - id
        - data_type
      title: Input
    VariableDataType:
      type: string
      enum:
        - string
        - number
        - boolean
        - array
        - object
        - file
        - tab
        - ref
      title: VariableDataType
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Autotab API key
      scheme: bearer

````